/* ".HEX" file output for gputils
   Copyright 1998-2005	James Bowman, Craig Franklin
*/

#pragma once

/* INHX8M -- Has no 04 record for upper bits of 32-bit address.
   INHX8S -- Creates .hxl and .hxh files for odd and even bytes.
   INHX16 -- Line length is in words that are big endian (not in MPLAB IDE 8.40).
   INHX32 -- Has 04 record for upper bits of 32-bit address. */

enum formats {
  INHX8M,
  INHX8S,
  INHX16,
  INHX32
};

FUNC(bool) gp_writehex(const char* Base_filename, MemBlock_t* M, enum formats Hex_format,
                              int Num_errors, bool Dos_newlines, unsigned Core_mask);

FUNC(bool) gp_writehex_check(MemBlock_t* M, enum formats Hex_format);
